Page MenuHomePhabricator

CentralNotice should not call WikiPage::doEdit()
Closed, ResolvedPublic1 Story Points

Description

It's deprecated since 1.21.

Also I note that the fallback code to support pre-ContentHandler is broken anyways, plus CentralNotice already requires higher MW versions so it's useless.

Details

Related Gerrit Patches:
mediawiki/extensions/CentralNotice : masterRemove old calls to WikiPage::doEdit()

Event Timeline

Legoktm created this task.Sep 15 2016, 8:26 AM

Change 310940 had a related patch set uploaded (by Reedy):
Remove old calls to WikiPage::doEdit()

https://gerrit.wikimedia.org/r/310940

ggellerman triaged this task as Medium priority.Sep 20 2016, 9:48 PM
ggellerman set the point value for this task to 1.

Change 310940 merged by jenkins-bot:
Remove old calls to WikiPage::doEdit()

https://gerrit.wikimedia.org/r/310940

enigmaeth closed this task as Resolved.Sep 27 2016, 2:23 PM
enigmaeth claimed this task.

Mentioned in SAL (#wikimedia-operations) [2016-10-20T23:48:39Z] <dereckson@mira> Synchronized php-1.28.0-wmf.22/extensions/CentralNotice: Bump CentralNotice version to fix T145738 and T145447 ([[Gerrit:317077]]) (duration: 00m 54s)